libhttppp ..

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Attributes | List of all members
libhttppp::HttpHeader Class Reference
Inheritance diagram for libhttppp::HttpHeader:
[legend]
Collaboration diagram for libhttppp::HttpHeader:
[legend]

## Classes
class | HeaderData

## Public Member Functions
HeaderData * | getfirstHeaderData ()
HeaderData * | getHeaderData (const std ::string &key) const
HeaderData * | setHeaderData (const std ::string &key)
void | deldata (const std ::string &key)
void | deldata (HeaderData *pos)
size_t | getElements ()
size_t | getHeaderSize ()
void | clear ()

## Protected Attributes
std::unique_ptr< HeaderData > | _firstHeaderData
HeaderData * | _lastHeaderData

The documentation for this class was generated from the following files:

- src/http.h
- src/http.cpp